Aggiornare versione installata e installare programmi

13 risposte [Ultimo messaggio]
Ritratto di gian64
gian64
(Junior)
Offline
Junior
Iscritto: 20/02/2009
Messaggi: 35

Ciao a tutti, primi problemi pratici della 11.1 installata sabato sera.

1) Avendo installato la versione 11.1 starei tentando di aggiornare alla 11.2, da questo link 

http://it.opensuse.org/Come_aggiornare_a_una_nuova_versione_di_openSUSE

Mi sembra di capire che ci voglia per forza un cd di installazione, esiste un modo per eseguire l'aggiornamento di versione dalla rete?

2)  Altra domanda, tentando di installare da yast k3b su gnome che è il mio DE di elezione, dopo avermi mostrato come credo sia corretto la lista delle dipendenze necessarie, anzichè scaricare dei pacchetti anche in questo caso mi richiede l'inserimento del cd, è un problema di repository? Come faccio ad aggiornarli?

3) In ubuntu posso visualizzare le sorgenti software dal file /etc/apt/sources.list, qual'è il file corrispondente in opensuse?

Ubuntiano accanito, vediamo come me la cavo

Ritratto di Mirko
Mirko
(Guru)
Offline
Guru
Iscritto: 19/12/2005
Messaggi: 1602

Citazione:

1) Avendo installato la versione 11.1 starei tentando di aggiornare alla 11.2, da questo link 

http://it.opensuse.org/Come_aggiornare_a_una_nuova_versione_di_openSUSE

Mi sembra di capire che ci voglia per forza un cd di installazione, esiste un modo per eseguire l'aggiornamento di versione dalla rete?

 
È consigliato installare tramite dvd.
In ogni caso l'aggiornamento via rete è possibile.
Non l'ho mai fatto, ma credo sia sufficiente modificare i repository e poi, da terminale come root:
zypper ref
zypper zypper  dist-upgrade
 

Citazione:

2)  Altra domanda, tentando di installare da yast k3b su gnome che è il mio DE di elezione, dopo avermi mostrato come credo sia corretto la lista delle dipendenze necessarie, anzichè scaricare dei pacchetti anche in questo caso mi richiede l'inserimento del cd, è un problema di repository? Come faccio ad aggiornarli?

 
I repository si aggiornano da terminale come root:
zypper ref 
Oppure per via grafica: Yast -> Repository del software -> Aggiorna

Comunque, è semplicemente che cerca prima sul cd/dvd, poi in rete. Risolvi semplicemente disabilitando il cd/dvd da Yast -> Repository del software (la riga del cd/dvd si distingue facilmente, l'url è cd:/// e il nome "openSUSE 11.2-0").

Citazione:

3) In ubuntu posso visualizzare le sorgenti software dal file /etc/apt/sources.list, qual'è il file corrispondente in opensuse?

 
Non ho capito cosa vuoi fare.
Dal gestore dei pacchetti, puoi visualizzare i pacchetti ordinati per repository ( Visualizza -> Repository, selezioni il repo che ti interessa e ti appaiono i pacchetti che sono lì).
La maggior parte dei repository è inoltre navigabile da browser.
(se era questo che intendevi: visualizzare quali pacchetti ci sono su un repo)

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Citazione:

Ciao a tutti, primi problemi pratici della 11.1 installata sabato sera.

1) Avendo installato la versione 11.1 starei tentando di aggiornare alla 11.2, da questo link 

http://it.opensuse.org/Come_aggiornare_a_una_nuova_versione_di_openSUSE

Mi sembra di capire che ci voglia per forza un cd di installazione, esiste un modo per eseguire l'aggiornamento di versione dalla rete?

   

il sito italiano è poco mantenuto, riferisci sempre al sito inglese.

Citazione:

 
per fare un cambio di versione, modifica tutti i repo in modo che siano della 11.2 (in genere basta modificare "11.1" in "11.2"
dopo di che procedi con questi comandi:

zypper in zypper libzypp
zypper dup
  

2)  Altra domanda, tentando di installare da yast k3b su gnome che è il mio DE di elezione, dopo avermi mostrato come credo sia corretto la lista delle dipendenze necessarie, anzichè scaricare dei pacchetti anche in questo caso mi richiede l'inserimento del cd, è un problema di repository? Come faccio ad aggiornarli?
Citazione:

   

hai il DVD nella lista dei repository.. vai da yast --> software --> sorgenti di installazione ed ELIMINA il dvd; inoltre si aggiornano automaticamente (salvo TUE indicazioni contrarie). ad ogni modo li aggiorni con "zypper ref". P.s. una lettura a "zypper -h", "zypper comando -h" (per aiuti specifici) e soprattutto "man zypper" ti aiuterà un sacco


3) In ubuntu posso visualizzare le sorgenti software dal file /etc/apt/sources.list, qual'è il file corrispondente in opensuse?  

i tuoi repository sono all'interno della cartella "/etc/zypp/repos.d" in realtà cmq non hai bisogno di modificarli a mano, almeno da 4 anni uso suse è non è mai stato necessario.. YaST è grandioso

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di gian64
gian64
(Junior)
Offline
Junior
Iscritto: 20/02/2009
Messaggi: 35

Ok, grazie per le risposte, quanto prima provo, Per quanto riguarda l'installazione di k3b, disabilitando il cd sono riuscito a installarlo, ma è come se avesse installato solo l'icona di lancio, visto che cliccandoci sopra non si sortisce alcun effetto.

Riguardo invece l'aggiornamento di versione credo opterò per la reinstallazione pulita, pratica che già uso su ubuntu, anche perchè al momento tentando di abilitare gli effetti grafici spuntando l'apposita casella ho incasinato credo il server x e al momento il sistema parte in sola modalità testuale, se do il comando startx mi dice che il server x "is already running" che mi sembra di capire significhi che è avviato però c'è un non meglio specificato error 11

Cosa ho combinato e come rimedio?

PS
Se necessario apro un'altra discussione in altra sezione del forum su questo argomento.

Ubuntiano accanito, vediamo come me la cavo

Ritratto di moviemaniac
moviemaniac
(Geek)
Offline
Geek
Iscritto: 10/10/2005
Messaggi: 135

Ho eseguito la procedura di upgrade da 11.1 a 11.2 seguendo attentamente questa guida
http://en.opensuse.org/Upgrade/11.2
avevo diversi repo oltre a quelli ufficiali, li ho disabilitati e sostituiti con quelli corrispondenti per la 11.2
Quindi ho eseguito il download e l'installazione.
Tutto liscio, il sistema funziona quasi alla perfezione. Il quasi è dovuto ai seguenti due malfunzionamenti:
1. non mi si collega più via wireless al router. Ho una broadcom e la usavo col fwcutter. Ho controllato nei pacchetti installati e pare tutto ok, mi vengono rilevate le connessioni di rete, ma non c'è verso di farle andare.
2. mysql pare non funzionare più. Se lancio mysqladmin, gli utenti e i database sono tutti lì, ma è come se il server non funzionasse pur essendo avviato il servizio.
Qualche idea? vi ringrazio in anticipo

aka FaithFulSoft
once MaxDev's staff developer

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Citazione:

Ho eseguito la procedura di upgrade da 11.1 a 11.2 seguendo attentamente questa guida
http://en.opensuse.org/Upgrade/11.2
avevo diversi repo oltre a quelli ufficiali, li ho disabilitati e sostituiti con quelli corrispondenti per la 11.2
Quindi ho eseguito il download e l'installazione.
Tutto liscio, il sistema funziona quasi alla perfezione. Il quasi è dovuto ai seguenti due malfunzionamenti:
1. non mi si collega più via wireless al router. Ho una broadcom e la usavo col fwcutter. Ho controllato nei pacchetti installati e pare tutto ok, mi vengono rilevate le connessioni di rete, ma non c'è verso di farle andare.

  

modello della scheda di rete?

Citazione:

2. mysql pare non funzionare più. Se lancio mysqladmin, gli utenti e i database sono tutti lì, ma è come se il server non funzionasse pur essendo avviato il servizio.
Qualche idea? vi ringrazio in anticipo

  
 
mysql... mm fammi vedere una cosa nelle note di rilascio... si come ricordavo:

Citazione:


MySQL version 5.1 is available. Some changes are not backward compatible. The most important are:

The MySQL socket is moved to /var/run/mysql.

The Berkley DB storage engine is no longer available.

Some storage engines are now shipped as modules. You must remove the skip-federated option in /etc/my.cnf, if you upgrade from a previous openSUSE versions.

Per maggiori informazioni, visitare http://en.opensuse.org/MySQL-5.1 ed README.SuSE fornito con il pacchetto MySQL.

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di moviemaniac
moviemaniac
(Geek)
Offline
Geek
Iscritto: 10/10/2005
Messaggi: 135

Citazione:

Citazione:

Ho eseguito la procedura di upgrade da 11.1 a 11.2 seguendo attentamente questa guida
http://en.opensuse.org/Upgrade/11.2
avevo diversi repo oltre a quelli ufficiali, li ho disabilitati e sostituiti con quelli corrispondenti per la 11.2
Quindi ho eseguito il download e l'installazione.
Tutto liscio, il sistema funziona quasi alla perfezione. Il quasi è dovuto ai seguenti due malfunzionamenti:
1. non mi si collega più via wireless al router. Ho una broadcom e la usavo col fwcutter. Ho controllato nei pacchetti installati e pare tutto ok, mi vengono rilevate le connessioni di rete, ma non c'è verso di farle andare.

    

modello della scheda di rete?


# lspci -vnn | grep 14e4

#06:02.0 Network controller [0280]: Broadcom Corporation BCM4318
[AirForce One 54g] 802.11g Wireless LAN Controller [14e4:4318] (rev 02)

Già provveduto a

# /usr/sbin/install_bcm43xx_firmware

# modprobe b43

la spia della scheda di rete si accende tranquillamente, e se faccio
ifconfig wlan0 down o up, la spia si spegne o accende rispettivamente.
Ma KNetworkManager non vuol saperne, sebbene sino a prima dell'upgrade
andasse una meraviglia (era la vecchia versione però).

Citazione:


Citazione:

2. mysql pare non funzionare più. Se lancio mysqladmin, gli utenti e i database sono tutti lì, ma è come se il server non funzionasse pur essendo avviato il servizio.
Qualche idea? vi ringrazio in anticipo

    
 
mysql... mm fammi vedere una cosa nelle note di rilascio... si come ricordavo:

Citazione:


MySQL version 5.1 is available. Some changes are not backward compatible. The most important are:

The MySQL socket is moved to /var/run/mysql.

The Berkley DB storage engine is no longer available.

Some storage engines are now shipped as modules. You must remove the skip-federated option in /etc/my.cnf, if you upgrade from a previous openSUSE versions.

Per maggiori informazioni, visitare http://en.opensuse.org/MySQL-5.1 ed README.SuSE fornito con il pacchetto MySQL.

  


ho controllato il file /etc/my.cnf ma quell'opzione non ce l'ho proprio. Ripeto, se vado nell'editor dei runlevel mysql risulta avviato, ma non pare raggiungibile. Da linea di comando riesco a loggarmi nel server, quindi vuol dire che funziona, o almeno spero Big Grin
Solo che phpMyadmin e gli altri siti installati in locale non vogliono saperne.
### AGGIORNAMENTO ###
Un problema l'ho risolto. Mi sento come quello che quando gli indichi la luna lui guarda il dito.
Ho editato il file /etc/my.cnf e ho sostituito il percorso del socket con quello corretto in tutte le occorrenze. Inutile dire che adesso funziona, ma tu questo già lo sapevi Big Grin
Per chi non avesse voglia di sbattersi con vim, preciso che esiste un file /etc/my.cnf.rpmnew che probabilmente viene creato al momento dell'aggiornamento della distro dalle versioni precedenti. Se non avete fatto modifiche in precedenza al file my.cnf, potete semplicemente sovrascriverlo col nuovo con
# cp /etc/my.cnf.rpmnew /etc/my.cnf
seguito da
# /etc/init.d/mysql restart
per riavviare il server.

aka FaithFulSoft
once MaxDev's staff developer

Ritratto di moviemaniac
moviemaniac
(Geek)
Offline
Geek
Iscritto: 10/10/2005
Messaggi: 135

Altri problemi:
1. non c'è verso. Il wi-fi fa un pò come gli pare. Con una connessione criptata con WPA2 e broadcast del ssid si connette. Con una connessione sprotetta e con ssid invisibile non cè verso di riuscire.
2. i driver ati non vanno. Parlo di quelli del repository ati ufficiale. Quando li installo non parte più il server grafico.
Ciao a tutti

aka FaithFulSoft
once MaxDev's staff developer

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

per 1: https://bugzilla.novell.com/enter_bug.cgi?format=guided
per 2: che repo usi? cmq è roba proprietaria e suse non credo possa farci nulla, prova a installarli a mano, se vanno potrebbe essere un problemi di pacchettizzazione e quindi dovresti segnalare come sopra.
p.s. che scheda ati hai? potrebbe essere stato eliminato il suo supporto dai drivers ati + recenti

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di Mirko
Mirko
(Guru)
Offline
Guru
Iscritto: 19/12/2005
Messaggi: 1602

Citazione:

2. i driver ati non vanno. Parlo di quelli del repository ati ufficiale. Quando li installo non parte più il server grafico.


Citazione:

Il repo ati non c'è ancora. Avrai installato un vecchio repo, penso.

Ritratto di moviemaniac
moviemaniac
(Geek)
Offline
Geek
Iscritto: 10/10/2005
Messaggi: 135

Ma per segnalare un bug bisogna registrarsi? ammappa! Big Grin
Quindi tu dici che si tratta di un bug. Beh, la cosa mi conforta, son certo che prestissimo risolveranno!
Per quanto riguarda i drivers ati invece, il repo che uso è quello ufficiale riportato qui:
http://en.opensuse.org/Additional_Package_Repositories#ATI_Video_drivers
e così rispondo anche a Mirko che dice che ancora non c'è (Mirko sia chiaro che non sto polemizzando, solo approfitto per rispondere anche a te con un solo post). Il mio portatile ha una Mobility Radeon X700 e con la 11.1 avevo i drivers ufficiali ati installati dal repo disponibile all'indirizzo sopra, aggiornati all'ultima versione. In ogni caso ora ho notato che sono stati divisi in due tronconi (non ricordo se sono indicati con G1 e G2). Io ovviamente ho installato quelli del primo gruppo che sono quelli per la mia scheda.

aka FaithFulSoft
once MaxDev's staff developer